//+------------------------------------------------------------------+
//|                                                    Two lines.mq4 |
//+------------------------------------------------------------------+

#property indicator_chart_window
extern string StartLine  = "15:00";
extern color  StartColor = LightSlateGray;
extern int    StartStyle = STYLE_DOT;
extern string EndLine    = "00:00";
extern color  EndColor   = LightSlateGray;
extern int    EndStyle   = STYLE_DOT;

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()   { return(0); }
int deinit()
{
   for (int i=ObjectsTotal();i>=0; i--)
   {
      string name = ObjectName(i);
      if (StringSubstr(name,0,8) == "TwoLines") ObjectDelete(name);
   }
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;

   if(counted_bars < 0) return(-1);
   if(counted_bars > 0) counted_bars--;
           limit = MathMin(Bars-counted_bars,Bars-1);
           
   //
   //
   //
   //
   //

   for(i = limit; i >= 0; i--)
   {
      datetime startTime = StrToTime(TimeToStr(Time[i],TIME_DATE)+" "+StartLine);
      datetime endTime   = StrToTime(TimeToStr(Time[i],TIME_DATE)+" "+EndLine);
      
      //
      //
      //
      //
      //
      
      
      if (ObjectFind("TwoLines"+startTime)==-1) createLine("TwoLines"+startTime,startTime,StartColor,StartStyle);
      if (ObjectFind("TwoLines"+endTime)  ==-1) createLine("TwoLines"+endTime,endTime,EndColor,EndStyle);
   }

   return(0);
}

//
//
//
//
//

void createLine(string name,datetime theTime, color theColor,int theStyle)
{
   ObjectCreate(name,OBJ_VLINE,0,theTime,0);
      ObjectSet(name,OBJPROP_COLOR,theColor);
      ObjectSet(name,OBJPROP_STYLE,theStyle);
      ObjectSet(name,OBJPROP_BACK,true);
}